# SimpleTestXmlResultFormatter

Extends \SimpleTestResultFormatter

Prints plain text output of the test to a specified Writer.

author | Michiel Rook mrook@php.net
version | $Id: fd1fcbf19c5a83b5e3f4d5de1b341cea90986d7c $
package | phing.tasks.ext.simpletest
since | 2.2.0

### Methods

## __construct

    __construct()

## captureStart

    captureStart()

## captureStop

    captureStop()

## getElapsedTime

    getElapsedTime()

inherited

## getErrorCount

    getErrorCount()

inherited

## Returns the extension used for this formatter

    getExtension() : string

inherited

### Response

`string`

the extension

## getFailureCount

    getFailureCount()

inherited

## getPreferredOutfile

    getPreferredOutfile()

inherited

## getRunCount

    getRunCount()

inherited

## getTestName

    getTestName()

inherited

## paintCaseEnd

    paintCaseEnd( $test_name)

inherited

### Arguments

#### $test_name

``

## paintCaseStart

    paintCaseStart( $test_name)

inherited

### Arguments

#### $test_name

``

## paintError

    paintError( $message)

inherited

### Arguments

#### $message

``

## paintException

    paintException( $exception)

### Arguments

#### $exception

``

## paintFail

    paintFail( $message)

inherited

### Arguments

#### $message

``

## paintFormattedMessage

    paintFormattedMessage( $message)

### Arguments

#### $message

``

## paintGroupEnd

    paintGroupEnd( $test_name)

### Arguments

#### $test_name

``

## paintGroupStart

    paintGroupStart( $test_name,  $size)

### Arguments

#### $test_name

``

#### $size

``

## paintMessage

    paintMessage( $message)

### Arguments

#### $message

``

## paintMethodEnd

    paintMethodEnd( $test_name)

inherited

### Arguments

#### $test_name

``

## paintMethodStart

    paintMethodStart( $test_name)

inherited

### Arguments

#### $test_name

``

## paintPass

    paintPass( $message)

### Arguments

#### $message

``

## paintSignal

    paintSignal( $type,  $payload)

### Arguments

#### $type

``

#### $payload

``

## paintSkip

    paintSkip( $message)

### Arguments

#### $message

``

## Sets the writer the formatter is supposed to write its results to.

    setOutput(\Writer $out)

inherited

### Arguments

#### $out

`\Writer`

## Sets the project

    setProject(\Project $project)

inherited

### Arguments

#### $project

`\Project`

### Properties

## logger

    logger : \XmlReporter

var |

### Type(s)

`\XmlReporter`

## xmlData

    xmlData :

### Type(s)

``

## out

    out :

inherited

### Type(s)

``

## project

    project :

inherited

### Type(s)

``

## timer

    timer :

inherited

### Type(s)

``

## runCount

    runCount :

inherited

### Type(s)

``

## failureCount

    failureCount :

inherited

### Type(s)

``

## errorCount

    errorCount :

inherited

### Type(s)

``

## currentTest

    currentTest :

inherited

### Type(s)

``